org.apache.ivy.core.event.resolve

## Class EndResolveEvent

- java.lang.Object
- - org.apache.ivy.core.event.IvyEvent
  - - org.apache.ivy.core.event.resolve.ResolveEvent
    - - org.apache.ivy.core.event.resolve.EndResolveEvent

    public class EndResolveEvent
    extends ResolveEvent

### Field Summary

Fields
`static java.lang.String` `NAME`

### Constructor Summary

Constructors
Constructor and Description
`EndResolveEvent(ModuleDescriptor md, java.lang.String[] confs, ResolveReport report)`

### Method Summary

Methods
`ResolveReport` `getReport()`

### Methods inherited from class org.apache.ivy.core.event.resolve.ResolveEvent

`getModuleDescriptor`

### Methods inherited from class org.apache.ivy.core.event.IvyEvent

`addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### Constructor Detail

#### EndResolveEvent

    public EndResolveEvent(ModuleDescriptor md,
                   java.lang.String[] confs,
                   ResolveReport report)

### Method Detail

#### getReport

    public ResolveReport getReport()